<?php

namespace PrismaLink\Plinkpg\Helper;

class PlinkInfoHelper{
    public function generateInvoicePage($data,$checkoutUrl,$paymentUrl){
        print_r($data);
    }
    public function generatePaymentPage($url,$store_url){
        echo '<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">';
        $page="
        <style>
            @import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;700&display=swap');
            .plink-payment-modal {
                display: block; 
                position: fixed; 
                z-index: 1; 
                left: 0;
                top: 0;
                width: 100%; 
                height: 100%; 
                overflow: auto; 
                background-color: rgb(0,0,0); 
                background-color: rgba(0,0,0,0.4);
            }
            .plink-payment-modal-content button{
                border:none;
                font-weight:bold;
                box-shadow: none;
                padding:10px;
                border-radius: 2vh;
                outline:none
            }
            .plink-payment-modal-content button:hover{
                cursor:pointer;
                background:grey;
            }
            .plink-payment-modal-content iframe{
                border:none;
                outline:none;
            }
            .plink-info-payment{
                padding:30px 40px;
                background:#FF8800;
                color:white;
                text-align:center;
                font-family: 'poppins','sans-serif';
                
            }

            .plink-payment-modal-content {
                background-color: #fefefe;
                margin: 15% auto; 
                padding: 20px;
                border: 1px solid #888;
                width: 80%; 
            }
            .try-again-btn{
                background:#4cd137;
            }
            .return-btn{
                background:#fbc531;
            }
        </style>
        ";
        $page .= '
            <div class="plink-payment-modal">
                <div class="plink-payment-modal-content">';
        $page .='<br><br><center><p class="plink-info-payment">'.__('Please make a payment soon by using Virtual Account numbers in the PLINK window below. To check your payment status you can click the button check payment status','woocommerce').'</p><center>';
        $page .='<br><br><center><button class="return-btn" onclick="location.href=\''.$store_url.'\'">Return to store</button>&nbsp;&nbsp;<button class="try-again-btn" onclick="location.reload()">Check Payment Status</button></center>';
        $page .= '<br><br><iframe style="width:100%;height:100%;" src="'.$url.'"> </iframe>';
        $page .='
                </div>
            </div>
        ';
        echo $page;
    }
    public function generateMessage($msg,$redirect_url,$base_url,$btn_msg="Go to checkout page",$type="error"){
        
        $colors=array(
            "waiting" => "#00a8ff",
            "error" => "#e84118",
            "warning" => "#fbc531",  
            "success" => "#4cd137",
        );
        $icon=array(
            "waiting" => '<i class="plink-payment-status-icon fas fa-history"></i>',
            "error" => '<i class="plink-payment-status-icon fas fa-times-circle"></i>',
            "warning" => '<i class="plink-payment-status-icon fas fa-history"></i>',  
            "success" => '<i class="plink-payment-status-icon fas fa-check-circle"></i>',
        );
        $page="
        <style>
            @import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;700&display=swap');
            *{
                font-family:'poppins','sans-serif';
            }
            body{
                display:flex;
                align-items:center;
                justify-content:center;
            }
            .plink-box-succes-payment-container{
                background:".$colors[$type].";
                -webkit-box-shadow: 0px 0px 40px -6px rgba(0,0,0,0.93);
                -moz-box-shadow: 0px 0px 40px -6px rgba(0,0,0,0.93);
                box-shadow: 0px 0px 40px -6px rgba(0,0,0,0.93);
                width:30rem;
                height:auto;
                border-radius:4vh;
            }
            
            .plink-box-succes-payment-container-content{
                box-sizing:border-box;
                padding:30px;
            }
            .plink-box-succes-payment-container-content h2{
                font-size:1.5rem;
                font-weight:bold;
                color:white;
            }
            .plink-box-succes-payment-container-content .plink-payment-status-icon{
                margin-top:2rem;
                font-size:10rem;
                color:white;
            }
            
            .plink-box-succes-payment-container-content button{
                background:none;
                outline:none;
                border:none;
                border-radius:2vh;
                border:2px white solid;
                box-sizing:border-box;
                padding:1rem;
                margin-top:3rem;
                color:white;
                font-weight:bold;
            }
            .plink-box-succes-payment-container-content button:hover{
                background:white;
                outline:none;
                border:none;
                border-radius:2vh;
                border:2px white solid;
                box-sizing:border-box;
                padding:1rem;
                margin-top:3rem;
                color:{$colors[$type]};
                font-weight:bold;
                cursor:pointer;
                -webkit-box-shadow: 0px 0px 10px -6px rgba(0,0,0,0.93);
                -moz-box-shadow: 0px 0px 10px -6px rgba(0,0,0,0.93);
                box-shadow: 0px 0px 10px -6px rgba(0,0,0,0.93);
            }
            button{
                margin:0px 1.5rem;
            }
        </style>";
        $page .= '
        <head>
             <script src="https://kit.fontawesome.com/0ef5f418de.js" crossorigin="anonymous"></script>
        </head>
        <div class="plink-box-succes-payment-container">
            <div class="plink-box-succes-payment-container-content">
                    <center>
                    <img src="https://plink.co.id/images/logo.png"/>
                    <h2>'.$msg.'</h2>
                    '.$icon[$type].'
                    <br>
        ';
        
        if($base_url && $type != 'success'){
            $page .= '<button onclick="location.href=\''.$redirect_url.'\'">'.$btn_msg.'</button>';
        }
        if($base_url){
            $page .= '<button onclick="location.href=\''.$base_url.'\'">';
            if($type === 'success'){
                $page .= 'Continue shopping';
            }else{
                $page .= 'Go to Homepage';
            }
            $page .='</button>';
        }
        $page .='            
                    <br>
                    </center>
                    
            </div>
        </div>';

        echo $page;
        exit;
    }
}