<?php

namespace PrismaLink\Plinkpg\Model\Adminhtml\Source;

use Magento\Framework\Option\ArrayInterface;

class Environment implements ArrayInterface
{
    const ENVIRONMENT_STAGING       = 'staging';
    const ENVIRONMENT_PRODUCTION    = 'production';

    /**
     * Possible environment types
     *
     * @return array
     */
    public function toOptionArray()
    {
        return [
            [
                'value' => self::ENVIRONMENT_STAGING,
                'label' => 'Staging',
            ],
            [
                'value' => self::ENVIRONMENT_PRODUCTION,
                'label' => 'Production'
            ]
        ];
    }
}
