<?php
namespace PrismaLink\Plinkpg\Model;
use Magento\Checkout\Model\ConfigProviderInterface;
use \Magento\Framework\App\Config\ScopeConfigInterface as ScopeConfig;
 
class CurrencyProvider implements ConfigProviderInterface
{
    protected $scopeConfig;
    private $storeManager;

    public function __construct(
        \Magento\Store\Model\StoreManagerInterface $_storeManager,
        ScopeConfig $scopeConfig
        ) {
        $this->storeManager = $_storeManager;
        $this->scopeConfig = $scopeConfig;
    }
    public function getConfig()
    {
        $storeScope = \Magento\Store\Model\ScopeInterface::SCOPE_STORE;
        $config = [
                "plink_currency_code" => $this->storeManager->getStore()->getBaseCurrencyCode()
        ];
        return $config;
    }
}