<?php
namespace PrismaLink\Plinkpg\Helper;
class PlinkDataHelper {  
    public function callToPg($data){
        $url=$data['base_url'].$data['end_point'];
        $body = $data['body'];
        $headers = $data['header'];
		$ch = curl_init();		
		curl_setopt($ch, CURLOPT_URL,$url);
		curl_setopt($ch, CURLOPT_POST, TRUE);
		curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");  
		curl_setopt($ch, CURLOPT_POSTFIELDS, $body);
        
		curl_setopt($ch, CURLOPT_HEADER, true);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
		curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
		curl_setopt($ch, CURLOPT_BINARYTRANSFER, true);
		curl_setopt($ch, CURLOPT_CONNECTTIMEOUT ,0); 
		curl_setopt($ch, CURLOPT_TIMEOUT, 60); //timeout in seconds
		if( substr( $url, 0, 5 ) == "https" ){
			curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
		}
		$retValue = curl_exec($ch);
		$headsize = curl_getinfo($ch, CURLINFO_HEADER_SIZE);
		$headers_ = substr($retValue, 0, $headsize);
		$response = trim(substr($retValue, $headsize));
		curl_close($ch);
		return $response;
    }
    public function formatPhoneNumber($nohp) {
        $hp='';
        // for ex. 0811 239 345
        $nohp = str_replace(" ","",$nohp);
        // for ex. (0274) 778787
        $nohp = str_replace("(","",$nohp);
        // for ex. (0274) 778787
        $nohp = str_replace(")","",$nohp);
        // for ex. 0811.239.345
        $nohp = str_replace(".","",$nohp);
    
        // check nubmer contain characters + and 0-9
        if(!preg_match('/[^+0-9]/',trim($nohp))){
            // check number wheter its contain 1-3 adalah +62
            if(substr(trim($nohp), 0, 3)=='+62'){
                $hp = trim($nohp);
            }
            // check if number 1 is 0
            elseif(substr(trim($nohp), 0, 1)=='0'){
                $hp = '+62'.substr(trim($nohp), 1);
            }
        }
        return $hp;
    }
   
}