<?php
namespace PrismaLink\Plinkpg\Model;
use Magento\Checkout\Model\ConfigProviderInterface;
use Magento\Framework\View\Asset\Repository as AssetRepository;

class MediaProvider implements ConfigProviderInterface
{
    private $_assetrepo;
    public function __construct(AssetRepository $assetRepository) {
        $this->_assetrepo = $assetRepository;
    }
    public function getConfig()
    {
        $media_url=[
            "plink_logo_icon" => $this->_assetrepo->getUrl("PrismaLink_Plinkpg::images/plink_logo.png")
        ];
        return $media_url;
    }
}